Skip to main content
PATCH
/
kv
/
:provider_id
/
:customer_id
/
:namespace
/
:key
Update an individual KV
curl --request PATCH \
  --url https://app.ledger.ai/api/kv/:provider_id/:customer_id/:namespace/:key \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

filters
string

Update item with the given ids: [ provider_id, customer_id, namespace, key ]

JSON PATCH body:

{
"customer_ids"?: null | integer[]
"key"?: string
"labels"?: integer[]
"locked"?: null | boolean
"namespace"?: string
"template_id"?: null | integer
"user_id"?: integer
"value"?: string
}

Set a field to null to unset it, leave it absent in the patch to retain the existing value.

Body

application/json

Request payload

The body is of type object.

Response

Successful response

The response is of type object.